Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.io
Class FilePrintWriter

    java.lang.Object
      net.sf.j3d.threeD.io.FilePrintWriter

All Implemented Interfaces:
  PrintWriter

    public class FilePrintWriter

extends Object
implements PrintWriter

Constructor Summary
`FilePrintWriter(File f)`

Method Summary
`void` | `close()`
`void` | `lessIndent()` Reduces the indent.
`void` | `moreIndent()` Increases the indent.
`void` | `print(String s)` Appends the specified String.
`void` | `println()` Appends a new line character.
`void` | `println(String s)` Appends the specified String, followed by a new line character.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilePrintWriter

    public FilePrintWriter(File f)
                    throws FileNotFoundException

Throws:
  `FileNotFoundException`

Method Detail

### close

    public void close()

### moreIndent

    public void moreIndent()

  Description copied from interface: `PrintWriter`
  Increases the indent.

  Specified by:
    `moreIndent` in interface `PrintWriter`

### lessIndent

    public void lessIndent()

  Description copied from interface: `PrintWriter`
  Reduces the indent.

  Specified by:
    `lessIndent` in interface `PrintWriter`

### print

    public void print(String s)

  Description copied from interface: `PrintWriter`
  Appends the specified String.

  Specified by:
    `print` in interface `PrintWriter`

### println

    public void println(String s)

  Description copied from interface: `PrintWriter`
  Appends the specified String, followed by a new line character.

  Specified by:
    `println` in interface `PrintWriter`

### println

    public void println()

  Description copied from interface: `PrintWriter`
  Appends a new line character.

  Specified by:
    `println` in interface `PrintWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD